Skip to navigation

Decline a signature request

Records a customer’s refusal to sign, setting the signature request to DECLINED and the quote version to REJECTED. This differs from quote version status DECLINED, which means an internal approver declined the quote. Requires the SIGNATURE_REQUEST.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only
statusenum or nullOptionalRead-only
The status of the signature request.
Allowed values:
typeenum or nullOptionalRead-only
The type of the signature request.
Allowed values:
quote_versionobjectOptional
recipientslist of objects or nullOptionalRead-only
The recipients of the signature request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error